/*
Author: Pradeep Khodke
URL: http://www.codingcage.com/
*/
$('document').ready(function()
{ 
	/* validation */
	$("#login-form").validate({
		rules:
		{
			password: {
			required: true,
			},
			user_email: {
			required: true,
			email: true
			},
		},
		messages:
		{
			password:{
			required: "please enter your password"
			},
			user_email: "please enter your email address",
		},
		submitHandler: submitForm	
	});  
	/* validation */
	
	/* login submit */
	function submitForm()
	{		
		var data = $("#login-form").serialize();
		data += "&fname=login";
		$.ajax({
			
			type : 'POST',
			url  : 'users.php',
			data : data,
			beforeSend: function()
			{	
				$("#error").fadeOut();
				$("#btn-login").html('<span class="glyphicon glyphicon-transfer"></span> &nbsp; sending ...');
			},
			success :  function(response)
			{	
				if(response=="ok"){
				
					$("#btn-login").html('Signing In ...');
					setTimeout(' window.location.href = "home.php"; ',100);
				}
				else{
				
					$("#error").fadeIn(1000, function(){						
					$("#error").html('<div class="alert alert-danger"> <span class="glyphicon glyphicon-info-sign"></span> &nbsp; '+response+' !</div>');
					$("#btn-login").html('<span class="glyphicon glyphicon-log-in"></span> &nbsp; Sign In');
					});
				}
			}
		});
		return false;
	}
	/* login submit */
	
	/* register validation */
	$("#register-form").validate({
		rules:
		{
			user_firstname: {
			required: true
			},
			user_lastname: {
			required: true
			},
			user_phoneno: {
			required: true,
			number: true,
			minlength: 8,
			maxlength: 15
			},
			regpassword: {
			required: true,
			minlength: 5,
			maxlength:13
			},
			con_password: {
			required: true,
			minlength: 5,
			maxlength:13,
			equalTo: "#regpassword"
			},
			user_emailid: {
			required: true,
			email: true,
			"remote":
			{
				url:"users.php",
				type: "post",
				data:
				{
					fname: 'registerCheckEmail',
					re_email: function()
					{					                          	
					return $('#user_emailid').val();
					}					                          
				}
			} 
		},
	},
	messages:
	{
		user_firstname: {
		required: "This field is required"
		},
		user_lastname: {
		required: "This field is required"
		},
		user_emailid:{
		required: "This field is required",
		email:"Please enter a valid email address",
		remote: jQuery.validator.format("Email ID already exist")
		},															
		regpassword:{
		required: "This field is required",
		minlength: "Minimum 5 Characters",
		maxlength: "Maximum 13 Characters"			                        
		},
		
		con_password:{
		required: "This field is required",
		minlength: "Minimum 5 Characters",
		maxlength: "Maximum 13 Characters",
		equalTo: "Password mismatched"			                        
		},
		user_phoneno:{
		required: "This field is required",			             
		number: "Please enter valid phone number",
		minlength: "Please enter a value greater than or equal to 8.",
		maxlength: "Please enter a value less than or equal to 15."
		//remote: jQuery.validator.format("Mobile number already exist")
		},
	},
	submitHandler: submitRegisterForm	
	});  
	/* register validation */
	
	/* register submit */
	function submitRegisterForm()
	{	
		var data = $("#register-form").serialize();
		data += "&fname=register";
		$.ajax({
		
			type : 'POST',
			url  : 'users.php',
			data : data,
			beforeSend: function()
			{	
				$("#regerror").fadeOut();
				$("#btn-register").html('<span class="glyphicon glyphicon-transfer"></span> &nbsp; sending ...');
			},
			success :  function(response)
			{			
			
				if(response=="ok"){
				
					$("#btn-register").html('<img src="btn-ajax-loader.gif" /> &nbsp; Registering...');
					setTimeout(' window.location.href = "patient/view_profile.php"; ',100);
				}
				else{
				
					$("#error").fadeIn(1000, function(){						
					$("#regerror").html('<div class="alert alert-danger"> <span class="glyphicon glyphicon-info-sign"></span> &nbsp; '+response+' !</div>');
					$("#btn-register").html('<span class="glyphicon glyphicon-log-in"></span> &nbsp; Register');
					});
				}
			}
		});
		return false;
	}
	/* register submit */
	
	/* admin register validation */
	$("#admnregisterForm").validate({
	
	rules:
	{
		usr_firstname: {
		required: true
		},
		usr_lastname: {
		required: true
		},
		usr_phoneno: {
		required: true,
		number: true,
		minlength: 8,
		maxlength: 15
		},
		rgpassword: {
		required: true,
		minlength: 5,
		maxlength:13
		},
		cn_password: {
		required: true,
		minlength: 5,
		maxlength:13,
		equalTo: "#rgpassword"
		},
		usr_emailid: {
		required: true,
		email: true,
		"remote":
		{
			url:"users.php",
			type: "post",
			data:
			{
				fname: 'registerCheckAEmail',
				re_email: function()
				{					                          	
				return $('#usr_emailid').val();
				}					                          
			}
		} 
		},
	},
	messages:
	{
		usr_firstname: {
		required: "This field is required"
		},
		usr_lastname: {
		required: "This field is required"
		},
		usr_emailid:{
		required: "This field is required",
		email:"Please enter a valid email address",
		remote: jQuery.validator.format("Email ID already exist")
		},															
		rgpassword:{
		required: "This field is required",
		minlength: "Minimum 5 Characters",
		maxlength: "Maximum 13 Characters"			                        
		},
		
		cn_password:{
		required: "This field is required",
		minlength: "Minimum 5 Characters",
		maxlength: "Maximum 13 Characters",
		equalTo: "Password mismatched"			                        
		},
		usr_phoneno:{
		required: "This field is required",			             
		number: "Please enter valid phone number",
		minlength: "Please enter a value greater than or equal to 8.",
		maxlength: "Please enter a value less than or equal to 15."
		//remote: jQuery.validator.format("Mobile number already exist")
		},
	},
	submitHandler: submitAdRegisterForm	
	});  
	/* admin register validation */
	
	/* admin register submit */
	function submitAdRegisterForm()
	{	
		var data = $("#admnregisterForm").serialize();
		data += "&fname=adminregister";
		$.ajax({
			
			type : 'POST',
			url  : 'users.php',
			data : data,
			beforeSend: function()
			{	
				$("#rgerror").fadeOut();
				$("#admnregister").html('<span class="glyphicon glyphicon-transfer"></span> &nbsp; sending ...');
			},
			success :  function(response)
			{			
				
				if(response=="ok"){
					document.getElementById("admnregisterForm").reset();
					$("#adminRegSuccess").show().hide(2000);
					$("#admnregister").html('<span class="glyphicon glyphicon-log-in"></span> &nbsp; Register');
				}
				else{
				
					$("#error").fadeIn(1000, function(){						
					$("#rgerror").html('<div class="alert alert-danger"> <span class="glyphicon glyphicon-info-sign"></span> &nbsp; '+response+' !</div>');
					$("#admnregister").html('<span class="glyphicon glyphicon-log-in"></span> &nbsp; Register');
					});
				}
			}
		});
		return false;
	}
	/* admin register submit */
	
	/* patient report validation */
	$("#patientReportForm").validate({
		rules:
		{
			ptient_name: {
			required: true
			},
			ptient_email: {
			required: true,
			email: true,
		"remote":
		{
			url:"users.php",
			type: "post",
			data:
			{
				fname: 'registerCheckPatientEmail',
				re_email: function()
				{					                          	
				return $('#ptient_email').val();
				}					                          
			}
		} 
		},
			ptient_dob: {
			required: true
			},
			ptient_phoneno: {
			required: true,
			number: true,
			minlength: 8,
			maxlength: 15
			},
			ptient_height: {
			required: true
			},
			ptient_weight: {
			required: true
			},
			ptient_address: {
			required: true
			},
			ptient_city: {
			required: true
			},
			ptient_pincode: {
			required: true
			},
			ptient_gender: {
			required: true
			},
	},
	messages:
	{
		ptient_name: {
		required: "This field is required"
		},
		ptient_gender: {
		required: "This field is required"
		},
		ptient_email: {
		required: "This field is required",
		email:"Please enter a valid email address",
		remote: "Email ID already exist"
		},
		ptient_dob:{
		required: "This field is required",
		},															
		ptient_height:{
		required: "This field is required",
		},
		ptient_weight:{
		required: "This field is required",
		},
		ptient_address:{
		required: "This field is required",
		},
		ptient_city:{
		required: "This field is required",
		},
		ptient_pincode:{
		required: "This field is required",
		},
		ptient_phoneno:{
		required: "This field is required",			             
		number: "Please enter valid phone number",
		minlength: "Please enter a value greater than or equal to 8.",
		maxlength: "Please enter a value less than or equal to 15."
		//remote: jQuery.validator.format("Mobile number already exist")
		},
	},
	submitHandler: submitPatientForm	
	});  
	/* patient report validation */
	
	/* patient report submit */
	function submitPatientForm()
	{	
		var data = $("#patientReportForm").serialize();
		
		var findclinic = $("#ptient_find_clinic").val();
		if(findclinic == 'Others')
		{
			var findclinic = $("#ptient_find_clinicOther").val();
		}
		var q7 = $("#q7").val();
		var q8 = $("#q8").val();
		var q9 = $("#q9").val();
		var q10 = $("#q10").val();
		var q13 = $("#q13").val();
		var q20b = $("#q20b").val();
		var q7other = $("#q7other").val();
		var q8other = $("#q8other").val();
		var q9other = $("#q9other").val();
		q7.splice($.inArray('Other', q7), 1);
		q8.splice($.inArray('Other', q8), 1);
		q9.splice($.inArray('Other', q9), 1);
		q7.push(q7other);
		q8.push(q8other);
		q9.push(q9other);
		
		data += "&fname=patientReport&ptient_find_clinic="+findclinic+"&ques7="+q7+"&ques8="+q8+"&ques9="+q9+"&ques10="+q10+"&ques13="+q13+"&ques20b="+q20b;
		$.ajax({
		
			type : 'POST',
			url  : 'users.php',
			data : data,
			beforeSend: function()
			{	
				$("#reperror").fadeOut();
				$("#ptientReport").html('<span class="glyphicon glyphicon-transfer"></span> &nbsp; sending ...');
			},
			success :  function(response)
			{			
			
				if(response=="ok"){
				
					document.getElementById("patientReportForm").reset();
					$("#ReportSuccess").show().hide(10000);
					setTimeout(' window.location.href = "home.php"; ',15000);
				}
				else{
				
					$("#error").fadeIn(1000, function(){						
					$("#reperror").html('<div class="alert alert-danger"> <span class="glyphicon glyphicon-info-sign"></span> &nbsp; '+response+' !</div>');
					$("#ptientReport").html('<span class="glyphicon glyphicon-log-in"></span> &nbsp; Submit');
					});
				}
			}
		});
		return false;
	}
	/* patient report submit */
	
	/* patient report validation */
	$("#patientReportForm1").validate({
		rules:
		{
			ptient_name: {
			required: true
			},
			ptient_email: {
			required: true,
			email: true,
			"remote":
			{
				url:"users.php",
				type: "post",
				data:
				{
					fname: 'registerCheckPatientEmail',
					re_email: function()
					{					                          	
					return $('#ptient_email').val();
					}					                          
				}
			}
			},
		ptient_password: {
		required: true,
		minlength: 5,
		maxlength:13
		},
		ptient_cpassword: {
		required: true,
		minlength: 5,
		maxlength:13,
		equalTo: "#ptient_password"
		},
		ptient_dob: {
			required: true
			},
			ptient_phoneno: {
			required: true,
			number: true,
			minlength: 8,
			maxlength: 15
			},
			ptient_height: {
			required: true
			},
			ptient_weight: {
			required: true
			},
			ptient_address: {
			required: true
			},
			ptient_city: {
			required: true
			},
			ptient_pincode: {
			required: true
			},
			ptient_gender: {
			required: true
			},
	},
	messages:
	{
		ptient_name: {
		required: "This field is required"
		},
		ptient_gender: {
		required: "This field is required"
		},
		ptient_email: {
		required: "This field is required",
		email:"Please enter a valid email address",
		remote: "Email ID already exist"
		},
		ptient_password:{
		required: "This field is required",
		minlength: "Minimum 5 Characters",
		maxlength: "Maximum 13 Characters"			                        
		},
		
		ptient_cpassword:{
		required: "This field is required",
		minlength: "Minimum 5 Characters",
		maxlength: "Maximum 13 Characters",
		equalTo: "Password mismatched"			                        
		},
		ptient_dob:{
		required: "This field is required",
		},															
		ptient_height:{
		required: "This field is required",
		},
		ptient_weight:{
		required: "This field is required",
		},
		ptient_address:{
		required: "This field is required",
		},
		ptient_city:{
		required: "This field is required",
		},
		ptient_pincode:{
		required: "This field is required",
		},
		ptient_phoneno:{
		required: "This field is required",			             
		number: "Please enter valid phone number",
		minlength: "Please enter a value greater than or equal to 8.",
		maxlength: "Please enter a value less than or equal to 15."
		//remote: jQuery.validator.format("Mobile number already exist")
		},
	},
	submitHandler: submitPatientForm1	
	});  
	/* patient report validation */
	
	/* patient report submit */
	function submitPatientForm1()
	{	
	//var front = parent.document.getElementById('humanpart').innerHTML;
		var data = $("#patientReportForm1").serialize();
		var findclinic = $("#ptient_find_clinic").val();
		if(findclinic == 'Others')
		{
			var findclinic = $("#ptient_find_clinicOther").val();
		}
		var q7 = $("#q7").val();
		var q8 = $("#q8").val();
		var q9 = $("#q9").val();
		var q10 = $("#q10").val();
		var q13 = $("#q13").val();
		var q20b = $("#q20b").val();
		var q7other = $("#q7other").val();
		var q8other = $("#q8other").val();
		var q9other = $("#q9other").val();
		q7.splice($.inArray('Other', q7), 1);
		q8.splice($.inArray('Other', q8), 1);
		q9.splice($.inArray('Other', q9), 1);
		q7.push(q7other);
		q8.push(q8other);
		q9.push(q9other);
		
		data += "&fname=patientReport&ptient_find_clinic="+findclinic+"&ques7="+q7+"&ques8="+q8+"&ques9="+q9+"&ques10="+q10+"&ques13="+q13+"&ques20b="+q20b;
		$.ajax({
		
			type : 'POST',
			url  : 'users.php',
			data : data,
			beforeSend: function()
			{	
			},
			success :  function(response)
			{			
			
				if(response=="ok"){
					
					document.getElementById("patientReportForm1").reset();
					$("#adminReportSuccess").show().hide(10000);
				}
				else{
				
					$("#error1").fadeIn(1000, function(){						
					$("#reperror1").html('<div class="alert alert-danger"> <span class="glyphicon glyphicon-info-sign"></span> &nbsp; '+response+' !</div>');
					$("#ptientReport1").html('<span class="glyphicon glyphicon-log-in"></span> &nbsp; Submit');
					});
				}
			}
		});
		return false;
	}
	/* patient report submit */
	
	$(document).on("click","#btn-precription123",function(){	
		var myinputs=[];
		var med_dose=[];
		var med_checkbox=[];
		var med_radio=[];
		var myinputdaysm=[];
		var comments1=[];
		var i=0;
		$("#prescription-form1 .myinputs").each(function(){
			myinputs.push($(this).val());
			var valcheck=[];
			$("#prescription-form1 .med_checkbox:checkbox:checked[data-id='"+i+"']").each(function(){
				valcheck.push($(this).val());				
			});
			med_checkbox.push(valcheck);
			i++;
		});		
		
		$("#prescription-form1 .comment_med").each(function(){
			comments1.push($(this).val());
		});
		
		$("#prescription-form1 .med_dose").each(function(){
			med_dose.push($(this).val());			
		});		
		$("#prescription-form1 .med_radio:radio:checked").each(function(){
			med_radio.push($(this).val());
		});		
		$("#prescription-form1 .myinputdaysm").each(function(){
			myinputdaysm.push($(this).val());
		});
		var med=[myinputs,med_dose,med_checkbox,med_radio,myinputdaysm,comments1];	
		
		var myinputsj=[];
		var inject_dose=[];
		var inject_checkbox=[];
		var inject_radio=[];
		var myinputdaysj=[];
		var comments2=[];
		var j=0;
		$("#prescription-form1 .myinputsj").each(function(){
			myinputsj.push($(this).val());
			var valcheck=[];
			$(".inject_checkbox:checkbox:checked[data-id='"+j+"']").each(function(){
				valcheck.push($(this).val());
			});
			inject_checkbox.push(valcheck);
			j++;
		});		
		$("#prescription-form1 .comment_inj").each(function(){
			comments2.push($(this).val());
		});
		$("#prescription-form1 .inject_dose").each(function(){
			inject_dose.push($(this).val());			
		});		
		$("#prescription-form1 .inject_radio:radio:checked").each(function(){
			inject_radio.push($(this).val());
		});		
		$("#prescription-form1 .myinputdaysm").each(function(){
			myinputdaysj.push($(this).val());
		});				
		var inject=[myinputsj,inject_dose,inject_checkbox,inject_radio,myinputdaysj,comments2];
		var data={
			fname:"addmedichine",
			data1:med,
			data2:inject,
			patid:$("#pat_id").val(),
			doctorid:$("#doctor_id").val(),			
			comment:$("#comment").val()
		}
		
		$.ajax({
		
			type : 'POST',
			url  : 'users.php',
			data : data,
			beforeSend: function()
			{	
				$("#reperror1").fadeOut();
				$("#ptientReport1").html('<span class="glyphicon glyphicon-transfer"></span> &nbsp; sending ...');
			},
			success :  function(response)
			{			
			alert('Precription Added');
			
				if(response=="ok"){
					
					document.getElementById("patientReportForm1").reset();
					$("#adminReportSuccess").show().hide(10000);
				}
				else{
				
					$("#error1").fadeIn(1000, function(){						
					$("#reperror1").html('<div class="alert alert-danger"> <span class="glyphicon glyphicon-info-sign"></span> &nbsp; '+response+' !</div>');
					$("#ptientReport1").html('<span class="glyphicon glyphicon-log-in"></span> &nbsp; Submit');
					});
				}
			}
		});
		return false;
	});
	
	$(document).on("click","#btn-precription1234",function(){	
		var myinputs=[];
		var med_dose=[];
		var med_checkbox=[];
		var med_radio=[];
		var myinputdaysm=[];
		var comments1=[];
		var i=0;
		$("#prescription-form2 .myinputs").each(function(){
			myinputs.push($(this).val());
			var valcheck=[];
			$(".med_checkbox:checkbox:checked[data-id='"+i+"']").each(function(){
				valcheck.push($(this).val());				
			});
			med_checkbox.push(valcheck);
			i++;
		});		
		$("#prescription-form2 .comment_med").each(function(){
			comments1.push($(this).val());
		});
		$("#prescription-form2 .med_dose").each(function(){
			med_dose.push($(this).val());			
		});		
		$("#prescription-form2 .med_radio:radio:checked").each(function(){
			med_radio.push($(this).val());
		});		
		$("#prescription-form2 .myinputdaysm").each(function(){
			myinputdaysm.push($(this).val());
		});
		var med=[myinputs,med_dose,med_checkbox,med_radio,myinputdaysm,comments1];	
		
		var myinputsj=[];
		var inject_dose=[];
		var inject_checkbox=[];
		var inject_radio=[];
		var myinputdaysj=[];
		var comments2=[];
		
		
		
		var j=0;
		$("#prescription-form2 .myinputsj").each(function(){
			myinputsj.push($(this).val());
			var valcheck=[];
			$("#prescription-form2 .inject_checkbox:checkbox:checked[data-id='"+j+"']").each(function(){
				valcheck.push($(this).val());
			});
			inject_checkbox.push(valcheck);
			j++;
		});		
		$("#prescription-form2 .comment_inj").each(function(){
			comments2.push($(this).val());
		});
		$("#prescription-form2 .inject_dose").each(function(){
			inject_dose.push($(this).val());			
		});		
		$("#prescription-form2 .inject_radio:radio:checked").each(function(){
			inject_radio.push($(this).val());
		});		
		$("#prescription-form2.myinputdaysm").each(function(){
			myinputdaysj.push($(this).val());
		});				
		var inject=[myinputsj,inject_dose,inject_checkbox,inject_radio,myinputdaysj,comments2];
		var data={
			fname:"addmedichine",
			data1:med,
			data2:inject,
			patid:$("#pat_id2").val(),
			doctorid:$("#doctor_id2").val(),
			comment:$("#comment2").val()
		}
		
		$.ajax({
		
			type : 'POST',
			url  : 'users.php',
			data : data,
			beforeSend: function()
			{	
				$("#reperror1").fadeOut();
				$("#ptientReport1").html('<span class="glyphicon glyphicon-transfer"></span> &nbsp; sending ...');
			},
			success :  function(response)
			{			
			alert('Prescription Added');
			
				if(response=="ok"){
					
					document.getElementById("patientReportForm1").reset();
					$("#adminReportSuccess").show().hide(10000);
				}
				else{
				
					$("#error1").fadeIn(1000, function(){						
					$("#reperror1").html('<div class="alert alert-danger"> <span class="glyphicon glyphicon-info-sign"></span> &nbsp; '+response+' !</div>');
					$("#ptientReport1").html('<span class="glyphicon glyphicon-log-in"></span> &nbsp; Submit');
					});
				}
			}
		});
		return false;
	});
	
	$(document).on("click","#patientReportUpdate",function(){	
		var data = $("#patientReportUpdateForm").serialize();
		//var q1 = document.getElementById("q1").innerHTML;
		var findclinic = $("#ptient_find_clinic").val();
		if(findclinic == 'Others')
		{
			var findclinic = $("#ptient_find_clinicOther").val();
		}
		var q7 = $("#q7").val();
		var q8 = $("#q8").val();
		var q9 = $("#q9").val();
		var q10 = $("#q10").val();
		var q13 = $("#q13").val();
		var q20b = $("#q20b").val();
		var q7other = $("#q7other").val();
		var q8other = $("#q8other").val();
		var q9other = $("#q9other").val();
		q7.splice($.inArray('Other', q7), 1);
		q8.splice($.inArray('Other', q8), 1);
		q9.splice($.inArray('Other', q9), 1);
		q7.push(q7other);
		q8.push(q8other);
		q9.push(q9other);
		
		data += "&fname=patientReportUpdate&ptient_find_clinic="+findclinic+"&ques7="+q7+"&ques8="+q8+"&ques9="+q9+"&ques10="+q10+"&ques13="+q13+"&ques20b="+q20b;
		
		$.ajax({
		
			type : 'POST',
			url  : 'users.php',
			data : data,
			beforeSend: function()
			{	
				$("#reperror").fadeOut();
				$("#ptientReport").html('<span class="glyphicon glyphicon-transfer"></span> &nbsp; sending ...');
			},
			success :  function(response)
			{			
			
				if(response != 0){
					//document.getElementById("patientReportUpdateForm").reset();
					$("#adminReportSuccess").show();
					setTimeout(function(){
							   window.location = "viewreport.php?doc_pat_id=" + response;
					},5000);
				}
				else{
				
					$("#error").fadeIn(1000, function(){						
					$("#reperror").html('<div class="alert alert-danger"> <span class="glyphicon glyphicon-info-sign"></span> &nbsp; '+response+' !</div>');
					$("#ptientReport").html('<span class="glyphicon glyphicon-log-in"></span> &nbsp; Submit');
					});
				}
			}
		});
		return false;
														  
	});
	
		
	/* patient appointment validation */
	
	$(document).on("click","#make_appointment",function(){	
														
		var doctorId = $('#doc_id').val();
		var data = $("#appointmentForm").serialize();
		data += "&fname=patientAppointment";
		$('#validError').html('');
		if (doctorId.length == 0) {
            $('#validError').html('This field is required');
			return false;
        } else {
		$.ajax({
		
			type : 'POST',
			url  : 'users.php',
			data : data,
			beforeSend: function()
			{	
			},
			success :  function(response)
			{			
				if(response=="ok"){
					
					//document.getElementById("appointmentForm").reset();
					$("#appointmentFormSuccess").show();
					setTimeout(' window.location.href = "viewappointment.php"; ',5000);
				}
				else{
				
					$("#error1").fadeIn(5000, function(){						
					$("#reperror1").html('<div class="alert alert-danger"> <span class="glyphicon glyphicon-info-sign"></span> &nbsp; '+response+' !</div>');
					});
				}
			}
		});
		return false;	
		}
	});
	/* patient appointment submit */
	
	
	/* patient appointment validation */
	
	$(document).on("click","#update_appointment",function(){	
							
		var data = $("#appointmentUpdateForm").serialize();
		data += "&fname=patientAppointmentUpdate";

		$.ajax({
		
			type : 'POST',
			url  : 'patient/users.php',
			data : data,
			beforeSend: function()
			{	
			},
			success :  function(response)
			{			
				if(response=="ok"){
					
					//document.getElementById("appointmentForm").reset();
					$("#appointmentFormSuccess").show();
					setTimeout(' window.location.href = "appointmentconfirmation.php"; ',5000);
				}
				else{
				}
			}
		});
		return false;	
	});
	
	/* patient appointment validation */
	
	$(document).on("click","#update_appointment1",function(){	
							
		var data = $("#appointmentUpdateForm1").serialize();
		data += "&fname=patientAppointmentUpdate";

		$.ajax({
		
			type : 'POST',
			url  : 'users.php',
			data : data,
			beforeSend: function()
			{	
			},
			success :  function(response)
			{			
				if(response=="ok"){
					
					//document.getElementById("appointmentForm").reset();
					$("#appointmentFormSuccess1").show();
					setTimeout(' window.location.href = "allappointments.php"; ',5000);
				}
				else{
				}
			}
		});
		return false;	
	});
	/* patient appointment submit */
	
	/* diagnosis submit grid view */
	
	$(document).on("click","#btn-diagnosis",function(){	
		var diagnosis_val = $("#diagnosis_val").val();
		var pat_id = $("#pat_id3").val();
		var doc_id = $("#doctor_id3").val();
		
		if(diagnosis_val)
		{
			data = "fname=diagnosisSave&diagnosis_val="+diagnosis_val+"&pat_id="+pat_id+"&doc_id="+doc_id;
			$.ajax({
		
			type : 'POST',
			url  : 'users.php',
			data : data,
			beforeSend: function()
			{	
			},
			success :  function(response)
			{
			alert('Diagnosis record has been added successfully.');
				var res = JSON.parse(response);
				if(res.msg == "ok"){
					$("#diagnosis_val").val('');
					$(".diagnosisReport tr:first").before(res.result);
				}
				else{
					alert(res.msg);
				}
			}
			});
			return false;	
		}
	});
	
	/* diagnosis submit  grid view */
	
	/* diagnosis submit list view */
	
	$(document).on("click","#btn-diagnosis1",function(){	
		var diagnosis_val = $("#diagnosis_val1").val();
		var pat_id = $("#pat_id1").val();
		var doc_id = $("#doctor_id1").val();
		
		if(diagnosis_val)
		{
			data = "fname=diagnosisSave&diagnosis_val="+diagnosis_val+"&pat_id="+pat_id+"&doc_id="+doc_id;
			$.ajax({
		
			type : 'POST',
			url  : 'users.php',
			data : data,
			beforeSend: function()
			{	
			},
			success :  function(response)
			{
			alert('Diagnosis record has been added successfully.');
				var res = JSON.parse(response);
				if(res.msg == "ok"){
					$("#diagnosis_val1").val('');
					$(".diagnosisReport1 tr:first").before(res.result);
				}
				else{
					alert(res.msg);
				}
			}
			});
			return false;	
		}
	});
	
	/* diagnosis submit  list view */
	

});